/*
    Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015
    Ben Kibbey <bjk@luxsci.net>

    This file is part of pwmd.

    Pwmd is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Pwmd is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Pwmd.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef PWMD_ERROR_H
#define PWMD_ERROR_H

#ifdef GPG_ERR_SOURCE_DEFAULT
#error "GPG_ERR_SOURCE_DEFAULT already defined."
#else
#define GPG_ERR_SOURCE_DEFAULT	GPG_ERR_SOURCE_USER_1
#endif

#include <gpg-error.h>
#include <pthread.h>

pthread_key_t last_error_key;
const char *pwmd_strerror (gpg_error_t rc);

#endif
